import { Component, Input, NgModule, OnInit, Output, EventEmitter } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { AccordionModule } from 'primeng/components/accordion/accordion';
import { TabViewModule } from 'primeng/components/tabview/tabview';
import { DataTableModule } from 'primeng/components/datatable/datatable';
import { InplaceModule } from 'primeng/components/inplace/inplace';
import { DialogModule } from 'primeng/components/dialog/dialog';

import { ContractInfo } from './components/contractInfo';
import { ContractPayments } from './components/contractPayments';
import { ContractTransactions } from './components/contractTransactions';
import { ContractOperations } from './components/contractOperations';
import { ContractSpecifications } from './components/contractSpecifications';

import { LANG_RU } from './lang_ru';

@Component({
    selector: 'glx-contract-detail',
    styleUrls: ['./contractDetail.scss'],
    templateUrl: './contractDetail.html'
})

export class ContractDetail implements OnInit {
    @Input() data: any;
    @Input() options: any;
    @Input() lang: any = LANG_RU;
    @Input() slider: boolean = false;

    @Output() onPayment: EventEmitter<any> = new EventEmitter();


    constructor() {
    }

    ngOnInit() {
    }

    paymentHandler(data) {
        this.onPayment.emit(data);
    }

}

@NgModule({
    imports: [CommonModule, AccordionModule, TabViewModule, InplaceModule, DataTableModule, DialogModule, FormsModule],
    exports: [ContractDetail, ContractInfo, ContractPayments, ContractTransactions, ContractOperations, ContractSpecifications],
    declarations: [ContractDetail, ContractInfo, ContractPayments, ContractTransactions, ContractOperations, ContractSpecifications]
})

export class ContractDetailModule {
}
