import { NgModule, Component, Input, OnInit } from '@angular/core';
import { CommonModule } from '@angular/common';

import { DefaultOptions } from './defaultOptions';

@Component({
    selector: 'glx-orders-viewer',
    styleUrls: ['./ordersViewer.scss'],
    templateUrl: './ordersViewer.html'
})

export class OrdersViewer implements OnInit {
    @Input() data: any[] = [];
    @Input() options: any = DefaultOptions;

    _columns: any = [];

    constructor() {
    }

    ngOnInit() {
        this.initColumns();
    }

    initColumns() {
        // формируем массив колонок, которые нужно показывать
        for (let i = 0; i < this.options.columns.length; i++) {
            if (this.options.columns[i].show &&
                (this.options.columns[i].show === 1 || this.options.columns[i].show === true)) {
                this._columns.push(this.options.columns[i]);
            }
        }
        // сортируем массив колонок
        this._columns.sort(function (a, b) {
            return (a.sort > b.sort) ? 1 : ((b.sort > a.sort) ? -1 : 0);
        });
    }
}

@NgModule({
    imports: [CommonModule],
    exports: [OrdersViewer],
    declarations: [OrdersViewer]
})

export class OrdersViewerModule {
}
